Failure loading mod

Anything that prevents you play the game properly. Do you have issues with paying for the game, downloading it or properly running it on your computer? Let us know here.
Post Reply
Bastian
Burner Inserter
Burner Inserter
Posts: 19
Joined: Mon Feb 13, 2017 11:42 pm
Contact:

Failure loading mod

Post by Bastian »

Hello
I have a problem since yesterday. I have just updated the game and my installed mods, and after that one mod doesn’t work.

At the restart from the game there happen a crash and a failure is shown in the screen.
9900894F-4AB7-4433-96A0-E3776F05E8E2.jpeg
9900894F-4AB7-4433-96A0-E3776F05E8E2.jpeg (3.68 MiB) Viewed 441 times
Can you guys help me? I don’t want to loose my save game

User avatar
NotRexButCaesar
Smart Inserter
Smart Inserter
Posts: 1044
Joined: Sun Feb 16, 2020 12:47 am
Contact:

Re: Failure loading mod

Post by NotRexButCaesar »

Bastian wrote:
Fri Jul 23, 2021 6:11 pm
I have just updated the game and my installed mods, and after that one mod doesn’t work.

Can you guys help me? I don’t want to loose my save game
I would suggest that you either look for a new update to the mod, or download the zip installation of the last version it worked on.

Old versions can be downloaded here. Only four(?) old versions of non-major-releases are kept, so make sure you save a copy until you are sure that it works with a newer version lest you find that you can no longer play on any of the provided versions.
: Alea jacta est. Determine what you intend to accomplish with an action before execution.
Have you ever heard the gospel? Most have not.

Bastian
Burner Inserter
Burner Inserter
Posts: 19
Joined: Mon Feb 13, 2017 11:42 pm
Contact:

Re: Failure loading mod

Post by Bastian »

I have done this before. I installed the last worked factorio version 1.1.34 and it doesnt work. Is there maybe a problem with another mod?

PFQNiet
Fast Inserter
Fast Inserter
Posts: 234
Joined: Sat Sep 05, 2020 7:48 pm
Contact:

Re: Failure loading mod

Post by PFQNiet »

The error message says that you have K2SETweaks enabled and it's trying to load space-exploration but space-exploration isn't enabled.

Normally this shouldn't happen because space-exploration should be listed as a dependency, but the mod author neglected to include it. This may be because it's intended for use on their own "Sufficient Velocity" community server, where they probably have things set up correctly anyway.

You will need to "Alle Mods deaktivieren" to launch the game, and then ensure mods are enabled as appropriate.

Bastian
Burner Inserter
Burner Inserter
Posts: 19
Joined: Mon Feb 13, 2017 11:42 pm
Contact:

Re: Failure loading mod

Post by Bastian »

Ok, i tried.
all Mods deactivated, then i activated all for my savegame requiered mods. without k2set and game load. but not my saved game. If i want to start it, the game tells me i have to synchronize my mods and want to activate k2set and download space exploration. But i have downloaded it before. In my modlist i cant find space exploration.

Pi-C
Smart Inserter
Smart Inserter
Posts: 1088
Joined: Sun Oct 14, 2018 8:13 am
Contact:

Re: Failure loading mod

Post by Pi-C »

Bastian wrote:
Fri Jul 23, 2021 6:51 pm
If i want to start it, the game tells me i have to synchronize my mods
No, it doesn't tell you that you HAVE to synchronize your mods. The message should be "Mods have been removed or mod settings have changed. Are you sure you want to continue loading this save?", and synchronizing your mods (the button at the center) is just an option, but you can opt to load the game with your current mods (the right button).
and want to activate k2set and download space exploration. But i have downloaded it before. In my modlist i cant find space exploration.
K2SETweaks depends on "space-exploration-postprocess", not "space-exploration". Also, in line 26 of data.lua, it requires a file from "space-exploration-graphics", but space-exploration depends on that mod and will pull it in automatically.

Quick solution:
  • Deactivate the mod.
  • Unzip the mod, and replace info.json with the attached file.
  • Restart the game.
  • Activate K2SETweaks. This should download all the mods that you are missing.
  • Tell the author of K2SETweaks that the mod should also depend on "space-exploration", so that the mod can get officially fixed. :-)
Attachments
info.json
(429 Bytes) Downloaded 207 times
A good mod deserves a good changelog. Here's a tutorial (WIP) about Factorio's way too strict changelog syntax!

Bastian
Burner Inserter
Burner Inserter
Posts: 19
Joined: Mon Feb 13, 2017 11:42 pm
Contact:

Re: Failure loading mod

Post by Bastian »

Ok, That worked. Thanks a lot.

What have you done with the new data?

Pi-C
Smart Inserter
Smart Inserter
Posts: 1088
Joined: Sun Oct 14, 2018 8:13 am
Contact:

Re: Failure loading mod

Post by Pi-C »

Bastian wrote:
Sat Jul 24, 2021 9:17 am
Ok, That worked. Thanks a lot.
You're welcome!
What have you done with the new data?
Nothing. :-)

The problem is that "space-exploration-postprocess" has changed significantly about 3 months ago. Up to version 0.5.11, it contained a hard dependency on "space-exploration":

Code: Select all

        "dependencies": [
                "base >= 1.1.0",
                "aai-industry >= 0.4.21",
                "space-exploration >= 0.5.22",
	…
	]
In 0.5.12, this has been changed to an optional dependency:

Code: Select all

        "dependencies": [
                "base >= 1.1.0",
                "(?) space-exploration >= 0.5.42",
	…
	]
The last version of "K2SETweaks" is about 7 months old, so it doesn't take this into account yet. Previously, you simply could take it for granted that "space-exploration" would be active when "space-exploration-postprocess" was used. Now, you can use "space-exploration-postprocess" even if the main mod isn't active. But "K2SETweaks" still requires a file from the main mod, and it will crash if the main mod is not used for some reason. So it's really just a problem of dependencies, not with data.lua.

By the way, the description of "space-exploration-postprocess" explicitly states that other mods should depend on the main mod:
[REQUIRED] Required for Space Exploration. Contains some important code that must run after other mods and a few bare-bones compatibility patches. Other listed mods are not requirements or suggestions, it is to control mod load order. This arrangement allows other mods to specify Space Exploration as a dependency without causing a dependency loop if they are already specified here. If you are a mod maker and want to control the compatibility with your mod do not add this mod as a dependency, add the base Space Exploration mod instead and if changes made here are incompatible they can be removed.
A good mod deserves a good changelog. Here's a tutorial (WIP) about Factorio's way too strict changelog syntax!

Post Reply

Return to “Technical Help”